Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Workflow Service
/
Update the status of a wo...
Explicitly update the status of a workflow run.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-workflow-service/workflow/{workflow_name}/workflowRun/{runId}
curl -i -X PUT \
'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun/{runId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"status": "submitted"
}'Workflow updated successfully.
Response
{ "endTimeStamp": 0, "runId": "string", "startTimeStamp": 0, "status": "submitted", "submittedBy": "string", "workflowId": "string" }